searchNodes=[{"type":"module","title":"ExCSSModules","doc":"CSS Modules helpers","ref":"ExCSSModules.html"},{"type":"function","title":"ExCSSModules.class/3","doc":"Reads the class definitions from the definition map and maps them to a class attribute. The keys argument is used to retrieve the class name or multiple class names with class_name/1. Returns nil if return_class? is falsy. return_class? is optional and truthy by default. Returns nil for a class_name that does not exist. Note that this function cannot be used with HEEX templates, as the HTML validation engine does not allow them to be build with arbitrary text. class_name/3 should be used instead. Examples iex&gt; class ( %{ &quot;hello&quot; =&gt; &quot;world&quot; } , &quot;hello&quot; ) { :safe , ~s(class=&quot;world&quot;) } iex&gt; class ( %{ &quot;hello&quot; =&gt; &quot;world&quot; } , :hello , true ) { :safe , ~s(class=&quot;world&quot;) } iex&gt; class ( %{ &quot;hello&quot; =&gt; &quot;world&quot; } , &quot;hello&quot; , false ) nil iex&gt; class ( %{ &quot;hello&quot; =&gt; &quot;world&quot; } , &quot;hello&quot; , nil ) nil iex&gt; class ( %{ &quot;hello&quot; =&gt; &quot;world&quot; } , &quot;foo&quot; ) nil","ref":"ExCSSModules.html#class/3"},{"type":"function","title":"ExCSSModules.class_name/3","doc":"Returns the class name or class names from the definition map, concatenated as one string separated by spaces. Second argument key can be a string or atom name of the key, a tuple with {key, boolean} or a list of either keys or tuples. Returns nil if return_class? is falsy. return_class? is optional and truthy by default. Returns nil for a key that does not exist. Examples iex&gt; class_name ( %{ &quot;hello&quot; =&gt; &quot;world&quot; , &quot;foo&quot; =&gt; &quot;bar&quot; } , [ &quot;hello&quot; , &quot;foo&quot; ] ) &quot;world bar&quot; iex&gt; class_name ( %{ &quot;hello&quot; =&gt; &quot;world&quot; , &quot;foo&quot; =&gt; &quot;bar&quot; } , [ { &quot;hello&quot; , true } , { &quot;foo&quot; , true } ] ) &quot;world bar&quot; iex&gt; class_name ( %{ &quot;hello&quot; =&gt; &quot;world&quot; , &quot;foo&quot; =&gt; &quot;bar&quot; } , [ { &quot;hello&quot; , true } , { &quot;foo&quot; , false } ] ) &quot;world&quot; iex&gt; class_name ( %{ &quot;hello&quot; =&gt; &quot;world&quot; , &quot;foo&quot; =&gt; &quot;bar&quot; } , [ { :hello , true } , { :foo , false } ] ) &quot;world&quot; iex&gt; class_name ( %{ &quot;hello&quot; =&gt; &quot;world&quot; } , &quot;hello&quot; ) &quot;world&quot; iex&gt; class_name ( %{ &quot;hello&quot; =&gt; &quot;world&quot; } , :hello , true ) &quot;world&quot; iex&gt; class_name ( %{ &quot;hello&quot; =&gt; &quot;world&quot; } , &quot;hello&quot; , &quot;anything&quot; ) &quot;world&quot; iex&gt; class_name ( %{ &quot;hello&quot; =&gt; &quot;world&quot; } , { &quot;hello&quot; , true } ) &quot;world&quot; iex&gt; class_name ( %{ &quot;hello&quot; =&gt; &quot;world&quot; } , &quot;hello&quot; , false ) nil iex&gt; class_name ( %{ &quot;hello&quot; =&gt; &quot;world&quot; } , { :hello , nil } ) nil iex&gt; class_name ( %{ &quot;hello&quot; =&gt; &quot;world&quot; } , &quot;foo&quot; ) nil iex&gt; class_name ( %{ } , &quot;hello&quot; ) nil","ref":"ExCSSModules.html#class_name/3"},{"type":"function","title":"ExCSSModules.class_selector/2","doc":"Takes the definition and makes a class selector that can be used in CSS out of the keys given. Takes either a single value or a list of keys. Examples iex&gt; class_selector ( @example_stylesheet , &quot;title&quot; ) &quot;._namespaced_title&quot; iex&gt; class_selector ( @example_stylesheet , [ &quot;title&quot; , &quot;paragraph&quot; ] ) &quot;._namespaced_title._namespaced_paragraph&quot; iex&gt; class_selector ( @example_stylesheet , &quot;foo&quot; ) nil iex&gt; class_selector ( %{ &quot;hello&quot; =&gt; &quot;world&quot; } , &quot;hello&quot; ) &quot;.world&quot; iex&gt; class_selector ( %{ &quot;hello&quot; =&gt; &quot;world&quot; } , :hello ) &quot;.world&quot; iex&gt; class_selector ( %{ &quot;hello&quot; =&gt; &quot;world&quot; , &quot;foo&quot; =&gt; &quot;bar&quot; } , [ &quot;hello&quot; , &quot;foo&quot; ] ) &quot;.world.bar&quot;","ref":"ExCSSModules.html#class_selector/2"},{"type":"function","title":"ExCSSModules.stylesheet/2","doc":"Reads a valid stylesheet definition. Returns a map if the stylesheet is already a map. Reads the file if the stylesheet is a string. Returns an empty map if the stylesheet does not exist. Examples iex&gt; stylesheet ( @example_stylesheet ) %{ &quot;title&quot; =&gt; &quot;_namespaced_title&quot; , &quot;paragraph&quot; =&gt; &quot;_namespaced_paragraph&quot; } iex&gt; stylesheet ( %{ &quot;title&quot; =&gt; &quot;_namespaced_title&quot; , &quot;paragraph&quot; =&gt; &quot;_namespaced_paragraph&quot; } ) %{ &quot;title&quot; =&gt; &quot;_namespaced_title&quot; , &quot;paragraph&quot; =&gt; &quot;_namespaced_paragraph&quot; } iex&gt; stylesheet ( &quot;foobar&quot; ) %{ }","ref":"ExCSSModules.html#stylesheet/2"},{"type":"type","title":"ExCSSModules.key/0","doc":"","ref":"ExCSSModules.html#t:key/0"},{"type":"type","title":"ExCSSModules.key_tuple/0","doc":"","ref":"ExCSSModules.html#t:key_tuple/0"},{"type":"module","title":"ExCSSModules.View","doc":"Implements the ExCSSModule functions into a view.","ref":"ExCSSModules.View.html"},{"type":"macro","title":"ExCSSModules.View.__using__/1","doc":"Use the ExCSSModules.View on a view which defines the JSON for CSS Modules as an external resource. To embed the stylesheet in the file set :embed_stylesheet to true. This can also be enabled through the :embed_by_default config option. If adds the following functions to the View: stylesheet/0 - same as ExCSSModules.stylesheet/2 with the stylesheet predefined class/1 - same as ExCSSModules.class/2 with the stylesheet predefined class_name/1 - same as ExCSSModules.class_name/2 with the stylesheet predefined class_name/2 - same as ExCSSModules.class_name/3 with the stylesheet predefined class_selector/1 - same as ExCSSModules.class_selector/2 with the stylesheet predefined","ref":"ExCSSModules.View.html#__using__/1"}]